comedi_get_timer
Prev | 5.4.7. Deprecated functions | Next

## Name

comedi_get_timer — timer information (deprecated)

## Synopsis

    #include <comedilib.h>

`int comedi_get_timer(` | comedi_t * device,
| unsigned int subdevice,
| double frequency,
| unsigned int * trigvar,
| double * actual_frequency`)`;

## Status

deprecated

## Description

The function `comedi_get_timer` converts the frequency `frequency` to a number suitable to send to the driver in a comedi_trig structure. This function remains for compatibility with very old versions of Comedi, that converted sampling rates to timer values in the library. This conversion is now done in the kernel, and every device has the timer type `nanosec_timer`, indicating that timer values are simply a time specified in nanoseconds.

Prev | Up | Next
comedi_get_buffer_offset | Home | comedi_sv_init